Stable Diffusion with LoRAs · Inpaint
Amalaich
lora/inpaint
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lora/inpaint?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/lora/inpaint?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/lora/inpaint", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/gd/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "lora/inpaint",
"input": {
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Cuir fòn chun mhodail Stable Diffusion with LoRAs · Inpaint (lora/inpaint) tro Doitong API. Sgrìobhainnean airson àidseantan: https://doitong.com/gd/developers/models/lora/inpaint.md
POST https://api.doitong.com/v1/run/lora/inpaint?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
Ma tha inbhe na freagairt "queued" no "running", dèan poll air GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 gus am bi i "succeeded"; tha na faidhlichean ann an outputs[].url. Bidh POST https://api.doitong.com/v1/quote/lora/inpaint leis an aon bhodhaig a’ tilleadh na prìse cheart ron ruith.
An t-iarrtas seo: ≈$0.184 184 creideasan API Ruith e air an duilleig seo
An iuchair API ùr agad. Chan eil e ri fhaicinn ach an-dràsta, agus tha e mar-thà sa chòd agus ann an raon iuchair API gu h-ìosal. Cùm dìomhair e: na cuir ann an còd a ruitheas ann am brabhsair gu bràth.
Thèid a’ chiad toradh agad an-seo
Tog iarrtas gu h-ìosal agus ruith e leis an iuchair API agad. Tha na h-às-churan air an lethbhreacadh dhan stòradh againn, air an cumail gu bràth no 7 latha an-asgaidh.
Tog iarrtas
Tha na smachdan air an cruthachadh bho sgeama a’ mhodail. Bidh an còd agus a’ phrìs ag ùrachadh fhad ’s a dh’atharraicheas tu iad.
/run/lora/inpaint?wait=20
tuairmse → $0.184
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lora/inpaint?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/lora/inpaint?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/lora/inpaint", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "lora/inpaint",
"input": {
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Ruith an t-iarrtas seo
Fuirichidh an iuchair agad sa bhrobhsair seo: thèid a cur chun Doitong API a-mhàin agus a sàbhaladh (localStorage) a-mhàin ma chuireas tu comharra ri Cuimhnich. Faigh iuchair API
Mu Stable Diffusion with LoRAs · Inpaint
Deasaich pàirtean de dh’ìomhaigh a’ cleachdadh `image_url` agus `mask_url` dubh-is-geal le modail Stable Diffusion air a shuidheachadh ann an `model_name`. Tha `noise_strength` eadar 0 agus 1. Tha e a’ toirt taic do LoRAs co-aonaichte, embeddings, ControlNets, IP adapters agus grunn schedulers, le ceumannan bho 1 gu 150. ’S e png no jpeg an toradh.
Paramadairean
Cuir an t-ainm canonical no an t-ainm dùthchasach, chan e an dà chuid. Ainmean canonical
model_nameriatanach
unet_nameroghainneil
variantroghainneil
promptriatanach
negative_promptroghainneil
prompt_weightingroghainneil
image_urlroghainneil
image
mask_urlroghainneil
mask
noise_strengthroghainneil
lorasroghainneil
loras[].pathriatanach
loras[].scaleroghainneil
embeddingsroghainneil
embeddings[].pathriatanach
embeddings[].tokensroghainneil
controlnetsroghainneil
controlnets[].pathriatanach
controlnets[].config_urlroghainneil
controlnets[].variantroghainneil
controlnets[].image_urlriatanach
controlnets[].mask_urlroghainneil
controlnets[].conditioning_scaleroghainneil
controlnets[].start_percentageroghainneil
controlnets[].end_percentageroghainneil
controlnets[].ip_adapter_indexroghainneil
controlnet_guess_moderoghainneil
ip_adapterroghainneil
ip_adapter[].ip_adapter_image_urlriatanach
ip_adapter[].ip_adapter_mask_urlroghainneil
ip_adapter[].pathriatanach
ip_adapter[].model_subfolderroghainneil
ip_adapter[].weight_nameroghainneil
ip_adapter[].insight_face_model_pathroghainneil
ip_adapter[].scaleroghainneil
ip_adapter[].scale_jsonroghainneil
ip_adapter[].unconditional_noising_factorroghainneil
ip_adapter[].image_projection_shortcutroghainneil
image_encoder_pathroghainneil
image_encoder_subfolderroghainneil
image_encoder_weight_nameroghainneil
ic_light_model_urlroghainneil
ic_light_model_background_image_urlroghainneil
ic_light_image_urlroghainneil
seedroghainneil
num_inference_stepsroghainneil
guidance_scaleroghainneil
clip_skiproghainneil
schedulerroghainneil
timestepsroghainneil
timesteps.methodroghainneil
timesteps.arrayroghainneil
sigmasroghainneil
sigmas.methodroghainneil
sigmas.arrayroghainneil
prediction_typeroghainneil
rescale_betas_snr_zeroroghainneil
image_formatroghainneil
num_imagesroghainneil
num_outputs
enable_safety_checkerroghainneil
tile_widthroghainneil
tile_heightroghainneil
tile_stride_widthroghainneil
tile_stride_heightroghainneil
etaroghainneil
debug_latentsroghainneil
debug_per_pass_latentsroghainneil
Gabhaidh paramadairean faidhle ri URL poblach https://, URI data: suas ri 10 MB, no file_url de luchdachadh suas. Faidhlichean
Toradh
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "lora/inpaint",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 184,
"usd": "0.184",
"charged": 184,
"refunded": 0
},
"input": {
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"seed": 42,
"has_nsfw_concepts": [
false
],
"debug_latents": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"debug_per_pass_latents": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Raointean toraidh
- images
- array of object {url, content_type, file_name, file_size, width, height}Fiosrachadh faidhle airson nan ìomhaighean gineadh.
- seed
- integerSìol gineadh ìomhaighe, a’ gabhail a-steach an luach a chaidh a thaghadh air thuaiream ma chaidh sìol fhàgail às an in-chur; air dhòigh eile, bidh e ag ath-aithris an luach a chaidh a solar.
- has_nsfw_concepts
- array of booleanA’ comharrachadh a bheil bun-bheachdan NSFW a’ nochdadh anns na h-ìomhaighean a chaidh a ghineadh.
- debug_latents
- object {url, content_type, file_name, file_size} | nullDàta latent air a stòradh airson dì-bhugadaireachd.
- debug_per_pass_latents
- object {url, content_type, file_name, file_size} | nullDàta latent gach pas air a stòradh airson dì-bhugadaireachd.
Seòrsaichean eile de Stable Diffusion with LoRAs
Barrachd mhodalan: Deasachadh Ìomhaighean
Do riochdairean AI: tha an duilleag seo mar Markdown aig https://doitong.com/gd/developers/models/lora/inpaint.md. Na modailean agus na treòraichean uile: https://doitong.com/developers/llms.txt






